Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.segment
Class GenericSegmentImpl

    java.lang.Object
      com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
          com.stc.connector.hl7.framework.structure.segment.GenericSegmentImpl

All Implemented Interfaces:
  Component, Segment

Direct Known Subclasses:
  ERR, MSA, MSH, SFT

    public class GenericSegmentImpl

extends GenericComponentImpl
implements Segment

This class represents a generic implementation of HL7 segment.

Version:
  cvs revision: $Revision: 1.11 $ Last Modified: $Date: 2005/09/03 06:28:37 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`GenericSegmentImpl(Message message, Field[] fields)` Method GenericSegmentImpl.
`GenericSegmentImpl(Message message, java.lang.String content)` Constructor for GenericSegmentImpl.

Method Summary
`Field[]` | `getFields()` Method getFields.
`void` | `marshal()` Method marshal.
`protected void` | `setFields(Field[] fields)` Sets the fields.
`java.lang.String` | `toXMLString(ComponentSpec componentSpec)` Method toXMLString.
`void` | `unmarshal()` Method unmarshal.
`void` | `validate(ComponentSpec componentSpec)` Method validate.

Methods inherited from class com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
`getContent, getMessage, getName, getStatus, setContent, setMessage, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.hl7.framework.structure.component.Component
`getContent, getMessage, getName, setContent, setName`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### GenericSegmentImpl

    public GenericSegmentImpl(Message message,
                              java.lang.String content)
                       throws HL7ApplicationException

  Constructor for GenericSegmentImpl.

  Parameters:
    `message` -
    `content` -
  Throws:
    `HL7ApplicationException`

### GenericSegmentImpl

    public GenericSegmentImpl(Message message,
                              Field[] fields)
                       throws HL7ApplicationException

  Method GenericSegmentImpl.

  Parameters:
    `message` -
    `fields` -
  Throws:
    `HL7ApplicationException`

Method Detail

### marshal

    public void marshal()
                 throws HL7ApplicationException

  Description copied from interface: `Component`
  Method marshal. Marshal the corresponding structure into content. Once the structure is modified, to refresh the content against the modified structure, this method should be called.

  Specified by:
    `marshal` in interface `Component`
  Overrides:
    `marshal` in class `GenericComponentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.marshal()`

### unmarshal

    public void unmarshal()
                   throws HL7ApplicationException

  Description copied from interface: `Component`
  Method unmarshal. Un-Marshal the content into corresponding structure. Once the content is modified, to refresh the corresponding structure against the modified content, this method should be called.

  Specified by:
    `unmarshal` in interface `Component`
  Overrides:
    `unmarshal` in class `GenericComponentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.unmarshal()`

### getFields

    public Field[] getFields()

  Description copied from interface: `Segment`
  Method getFields.

  Specified by:
    `getFields` in interface `Segment`
  Returns:
    Field[]
  See Also:
    `Segment.getFields()`

### setFields

    protected void setFields(Field[] fields)
                      throws HL7ApplicationException

  Sets the fields.

  Parameters:
    `fields` - The fields to set
  Throws:
    `HL7ApplicationException`

### validate

    public void validate(ComponentSpec componentSpec)
                  throws HL7ApplicationException

  Description copied from interface: `Component`
  Method validate. This method is supposed to be called after "new xxxStructureImpl()", that is, "new GenericComponentImpl(...)", "new GenericDataTypeImpl(...)", "new GenericFieldImpl(...)", "new GenericSegmentImpl(...)", "new GenericMessageImpl(...)", "new MSH(...)", "new MSA(...)", "new ERR(...)", "new ACK(...)".

  Specified by:
    `validate` in interface `Component`
  Overrides:
    `validate` in class `GenericComponentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.validate(ComponentSpec)`

### toXMLString

    public java.lang.String toXMLString(ComponentSpec componentSpec)
                                 throws HL7ApplicationException

  Description copied from interface: `Component`
  Method toXMLString.

  Specified by:
    `toXMLString` in interface `Component`
  Overrides:
    `toXMLString` in class `GenericComponentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.toXMLString(com.stc.connector.hl7.framework.spec.component.ComponentSpec)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD